DADA 2 error (return code -15)

Hello All:

I am running running my data through DADA 2 and have gotten a error that I have never gotten before.

An error was encountered while running DADA2 in R (return code -15), please inspect stdout and stderr to learn more.

Everything was going well prior to this and I am at a loss as to what it could be.

This is the entirety of the code:

(qiime2-2021.2) bash-5.0$ qiime dada2 denoise-paired \

–i-demultiplexed-seqs NSAID-demux.qza
–p-trim-left-f 10
–p-trim-left-r 10
–p-trunc-len-f 0
–p-trunc-len-r 0
–o-table NSAIDFeatureTable[Frequency]
–o-representative-sequences NSAIDFeatureData[Sequence]
–o-denoising-stats NSAIDSampleData[DADA2Stats}
–verbose
Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /tmp/tmphiiq_sgc/forward /tmp/tmphiiq_sgc/reverse /tm p/tmphiiq_sgc/output.tsv.biom /tmp/tmphiiq_sgc/track.tsv /tmp/tmphiiq_sgc/filt_f /tmp/tmphiiq_sgc/filt_r 0 0 10 10 2.0 2.0 2 independent consensus 1.0 1 1000000

R version 4.0.2 (2020-06-22)
Loading required package: Rcpp
DADA2: 1.18.0 / Rcpp: 1.0.6 / RcppParallel: 5.0.2

  1. Filtering … …
  2. Learning Error Rates
    252228209 total bases in 866951 reads from 100 samples will be used for learning the error rates.
    Traceback (most recent call last):
    File “/home/jdchc/.conda/envs/qiime2-2021.2/lib/python3.6/site-packages/q2_dad a2/_denoise.py”, line 264, in denoise_paired
    run_commands([cmd])
    File “/home/jdchc/.conda/envs/qiime2-2021.2/lib/python3.6/site-packages/q2_dad a2/_denoise.py”, line 36, in run_commands
    subprocess.run(cmd, check=True)
    File “/home/jdchc/.conda/envs/qiime2-2021.2/lib/python3.6/subprocess.py”, line 438, in run
    output=stdout, stderr=stderr)
    subprocess.CalledProcessError: Command '[‘run_dada_paired.R’, ‘/tmp/tmphiiq_sgc/ forward’, ‘/tmp/tmphiiq_sgc/reverse’, ‘/tmp/tmphiiq_sgc/output.tsv.biom’, ‘/tmp/ tmphiiq_sgc/track.tsv’, ‘/tmp/tmphiiq_sgc/filt_f’, ‘/tmp/tmphiiq_sgc/filt_r’, ‘0 ‘, ‘0’, ‘10’, ‘10’, ‘2.0’, ‘2.0’, ‘2’, ‘independent’, ‘consensus’, ‘1.0’, ‘1’, ’ 1000000’]’ died with <Signals.SIGTERM: 15>.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/jdchc/.conda/envs/qiime2-2021.2/lib/python3.6/site-packages/q2cli/ commands.py”, line 329, in call
results = action(**arguments)
File “”, line 2, in denoise_paired
File “/home/jdchc/.conda/envs/qiime2-2021.2/lib/python3.6/site-packages/qiime2 /sdk/action.py”, line 245, in bound_callable
output_types, provenance)
File “/home/jdchc/.conda/envs/qiime2-2021.2/lib/python3.6/site-packages/qiime2 /sdk/action.py”, line 390, in callable_executor
output_views = self._callable(**view_args)
File “/home/jdchc/.conda/envs/qiime2-2021.2/lib/python3.6/site-packages/q2_dad a2/_denoise.py”, line 279, in denoise_paired
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code -15), please inspect stdout and stderr to learn more.

Any help or insight would be greatly appreciated.

Hi there @gpgarcia!

Are you running this on an HPC or institutional computer? I ask because this is the main part of the error:

That means the operating system terminated your command - usually we see this happen when an HPC queueing system terminates a job - usually because you didn’t ask for enough time when you launched. If this is on an institutional server, please check with your sysadmin to see what you need to do to request adequate time and other resources.

:qiime2:

2 Likes

Thank you so much for your reply! I will get in touch with the sysadmin and hopefully that will fix it!

1 Like